/**
 * @license Copyright (c) 2003-2018, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see https://ckeditor.com/legal/ckeditor-oss-license
 */

CKEDITOR.editorConfig = function( config ) {
	// Define changes to default configuration here.
	// For complete reference see:
	// http://docs.ckeditor.com/#!/api/CKEDITOR.config

	// The toolbar groups arrangement, optimized for two toolbar rows.
config.toolbarGroups = [
		{ name: 'clipboard', groups: [ 'clipboard', 'undo' ] },
		{ name: 'editing', groups: [ 'editing' ] },
		{ name: 'insert', groups: [ 'insert' ] },
		{ name: 'forms', groups: [ 'forms' ] },
		{ name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
		{ name: 'paragraph', groups: [ 'list', 'indent', 'blocks', 'align', 'bidi', 'paragraph','BidiLtr', 'BidiRtl', 'Language'  ] },
		{ name: 'styles', groups: [ 'styles' ] },
		{ name: 'colors', groups: [ 'red', 'blue', 'black', 'yellow', 'green', 'colors' ] }
	];

	config.removeButtons = 'Underline,Subscript,Superscript,PasteFromWord,Image,Table,SpecialChar,RemoveFormat,Outdent,Indent,Blockquote,About';
// Set the most common block elements.
	config.format_tags = 'p;h1;h2;h3;pre';
	config.contentsLangDirection = 'rtl';
	config.language = 'ar';
//	config.uiColor = '#F7B42C';
	config.height = 300;
	//config.toolbarCanCollapse = true;
	CKEDITOR.config.floatSpacePinnedOffsetY = 35;

	// Simplify the dialog windows.
	config.removeDialogTabs = 'image:advanced;link:advanced';
	
	config.extraPlugins = 'colorbutton' ; 
};


